import sys
import io
import os

# Tem que inicializar como null, senao os ifs fora daqui nao irao funcionar...
os.environ["Numpatrimonio"] = "null"

while True:
	print " "
	Numpatri_input = raw_input('Numpatrimonio.py - Digite o Numero do patrimonio: ').upper()
	print " "
	Conf_Numpatri_input = raw_input('Numpatrimonio.py - Digite o Numero de patrimonio NOVAMENTE para confirmar: ').upper()
	print " "
	
	if Numpatri_input == Conf_Numpatri_input and Numpatri_input <> '' and Conf_Numpatri_input <> '':
		result = Numpatri_input.find(' ')
		if result == -1:
			os.environ["Numpatrimonio"] = Numpatri_input
			sys.exit(0)
		else:
			print "Numpatrimonio.py - O numero de patrimonio contem espaco em branco!"
			print "Numpatrimonio.py - Tente novamente!"
	else:
		print "Numpatrimonio.py - O primeiro numero de patrimonio eh diferente do segundo numero de patrimonio"
		print "Numpatrimonio.py - OU"
		print "Numpatrimonio.py - Sao nulos"
		print "Numpatrimonio.py - Tente novamente!"
		os.environ["Numpatrimonio"] = "null"

sys.exit(1)